pldd(1)

NOMBRE
pldd - mustra objetos dinámicos compartidos enlazados en un proceso

SINOPSIS
pldd pid
pldd opción

DESCRIPCIÓN
The pldd command displays a list of the dynamic shared objects (DSOs) that are linked into the process with the specified process ID (PID). The list includes the libraries that have been dynamically loaded using dlopen(3).

OPCIONES

-?, --help
    Muestra un mensaje de ayuda y finaliza.

--usage
    Muestra un mensaje de ayuda y finaliza.

-V, --version
    Muestra la versión y finaliza.

ESTADO DE SALIDA
On success, pldd exits with the status 0. If the specified process does not exist, the user does not have permission to access its dynamic shared object list, or no command-line arguments are supplied, pldd exists with a status of 1. If given an invalid option, it exits with the status 64.

VERSIONES
pldd está disponible desde la versión 2.15 de glibc.

ESTÁNDARES
La orden pldd no está definida en POSIX.1 Otras sistemas tiene aplicaciones similares.

NOTAS
La orden

    lsof -p PID

también muestra en su salida objetos dinámicos compartidos enlazados a un proceso.

The gdb(1) info shared command also shows the shared libraries being used by a process, so that one can obtain similar output to pldd using a command such as the following (to monitor the process with the specified pid):

    $ gdb -ex "set confirm off" -ex "set height 0" -ex "info shared" \
            -ex "quit" -p $pid | grep '^0x.*0x'

ERRORES
From glibc 2.19 to glibc 2.29, pldd was broken: it just hung when executed. This problem was fixed in glibc 2.30, and the fix has been backported to earlier glibc versions in some distributions.

EJEMPLOS
    $ echo $$               # Muestra el PID de la shell
    1143
    $ pldd $$               # Muestra los objetos enlazados en la shell
    1143:   /usr/bin/bash
    linux-vdso.so.1
    /lib64/libtinfo.so.5
    /lib64/libdl.so.2
    /lib64/libc.so.6
    /lib64/ld-linux-x86-64.so.2
    /lib64/libnss_files.so.2

VÉASE TAMBIÉN
ldd(1), lsof(1), dlopen(3), ld.so(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.